@import 'variables';

.burger-menu {
    position: fixed;
    display: flex;
    flex-direction: column;
    height: 100vh;
    width: 100%;
    align-items: center;
    justify-content: center;
    z-index: -1;
    transition: background 0.2s ease, opacity 0.2s ease;
    opacity: 0;
    background: rgba(64, 70, 32, 0);
    nav {
        height: 60%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        ul {
            align-self: center;
            height: 100%;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: space-between;
            menu {
                display: flex;
                flex-direction: column;
                align-items: center;
                justify-content: space-between;
            }
            li {
                margin-bottom: 15px;
                border-bottom: 1px solid transparent;
                transition: border 0.2s ease;
                &:hover {
                    border-bottom: 1px solid $btnColor;
                }
                &:nth-last-child(-n + 2) {
                    border-bottom: none;
                }
                button {
                    background: transparent;
                    border: none;
                    color: $fontLightColor;
                    font-size: 5.86vw;
                    cursor: pointer;
                }
                .btn {
                    margin-top: 60px;
                    font-size: 4.26vw;
                    width: 65vw;
                    height: 11.7vw;
                    border-radius: 4px;
                }
            }
        }
    }
    ~ .header-wrap {
        header {
            background: rgba(25, 24, 26, 1);
            transition: background-color 0.3s ease;
        }
    }
    &.active {
        z-index: 2;
        opacity: 1;
        background: rgba(25, 24, 26, 0.95);
        backdrop-filter: blur(9px);
        ~ .header-wrap {
            header {
                background: transparent;
            }
        }
    }
}
